commit:     39eaf1b54544a261fa4491b16d483e50d8b8ff04
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 29 05:41:57 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 29 05:49:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39eaf1b5

dev-python/ipywidgets: Bump to 8.0.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ipywidgets/Manifest                |  1 +
 dev-python/ipywidgets/ipywidgets-8.0.6.ebuild | 42 +++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index 9607ea3a86d4..66a7cf035f02 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1,2 +1,3 @@
 DIST ipywidgets-8.0.4.tar.gz 114780 BLAKE2B 
c29c431f6ba576b96792700ba325665be682f8263938dfb6e5f2c727bcdb059ed7f2997cf68ec4d76c636e99d1010b16779377a717b466005743a0fa85a2ac3a
 SHA512 
74bdbcd7406b3a9a968842859de345c024cadc0fad3758bc02298c67d2f7b6c99c5130949a9817bf9d43f4b002c5207732dd1a42792b9ef8fceb57c36a228727
 DIST ipywidgets-8.0.5.tar.gz 115363 BLAKE2B 
55624c6c99f58b0cccfd89d96678355bd28625632a903f86dc260432a67840bfdb65e233779cb4c694ae677a16ef7cb0f8420388c69123653eb96f38310e9a3e
 SHA512 
f7bf1b6a772a866dc913bde3d01c33dfe8117564bbac2076e39b134c7e0bc7fd67fe08aed94300a261a3cfe1e19f9b045118a285eb543f526ac702f55e646001
+DIST ipywidgets-8.0.6.tar.gz 115372 BLAKE2B 
9369c6697879cb07576ef82769b2df7cb24c7076e5d6d01be30c9f23ee3586616fa44ff7a16904bd0a5754032d4c9be58cb7c63392360d4347f1284d8bd53093
 SHA512 
9275f259f7f20b20e14856b1a500094300c18f3e9ff46086a5856a5261a71d62a005a2541f4987b9761d57da1db15e881f0c858dcde34978cbef8b5efe691723

diff --git a/dev-python/ipywidgets/ipywidgets-8.0.6.ebuild 
b/dev-python/ipywidgets/ipywidgets-8.0.6.ebuild
new file mode 100644
index 000000000000..3d14bb5d054b
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-8.0.6.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+       https://ipywidgets.readthedocs.io/
+       https://github.com/jupyter-widgets/ipywidgets/
+       https://pypi.org/project/ipywidgets/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+       >=dev-python/ipython_genutils-0.2.0[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+       >=dev-python/widgetsnbextension-4.0.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # upstream hack to autoconfigure ipywidgets in jupyter
+       # we don't have jupyterlab_widgets packaged
+       sed -i -e '/jupyterlab_widgets/d' setup.cfg || die
+       distutils-r1_src_prepare
+}

Reply via email to